<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button>
      </ion-menu-button>
    </ion-buttons>

    <ion-router-outlet id="main"></ion-router-outlet>
    <ion-title>Motos</ion-title>

  </ion-toolbar>
</ion-header>


<ion-content [fullscreen]="true">

  <ion-menu side="start" menuId="first" contentId="main">

    <ion-header>
      <ion-toolbar color="primary">
        <ion-title></ion-title>
      </ion-toolbar>
    </ion-header>

    <ion-content>
      <ion-menu-toggle auto-hide="true">
        <ion-list *ngFor="let marca of marcas">
          <ion-item (click)="filtroMotos(marca.title)">
            <img [src]="marca.foto" style="width: 50%;">
            {{marca.title}}
          </ion-item>
        </ion-list>
      </ion-menu-toggle>
    </ion-content>
  </ion-menu>

  <ion-list style="text-align:center">
    <ion-item *ngFor="let moto of motos">

      <ion-button fill="clear" expand="full" (click)="pasoParametro(moto)">
        <ion-avatar slot="start">
          <img src="{{moto.foto}}">
        </ion-avatar>

        <ion-label>
          {{moto.modelo}}
        </ion-label>
      </ion-button>

    </ion-item>

  </ion-list>

  <ion-fab slot="fixed" vertical="bottom" horizontal="end" (click)="addMoto()">
    <ion-fab-button size="small">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>

</ion-content>